Package org.apache.torque.templates.model

# Class Database

java.lang.Object
org.apache.torque.templates.model.Database

public class Database extends Object
The model of the database tag in a Torque schema file.

Version:
  $Id: $

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `List<Table>`
  `allTables`
  List of all tables, including the tables from loaded external-schema definitions.
  `List<View>`
  `allViews`
  List of all views, including the views from loaded external-schema definitions.
  `String`
  `defaultIdMethod`
  The default id method for this database.
  `String`
  `defaultJavaType`
  Whether the columns in this database will use primitive types if possible ("primitive") or will always use object types ("object").
  `List<Domain>`
  `domainList`
  The List of domains for this database.
  `List<ExternalSchema>`
  `externalSchemaList`
  The list of external schemas for this database.
  `List<IncludeSchema>`
  `includeSchemaList`
  The list of included schemas for this database.
  `String`
  `name`
  The name of the database.
  `List<Option>`
  `optionList`
  The list of options for this database.
  `String`
  `rootDatabaseName`
  The name of the root database.
  `List<String>`
  `schemaNameList`
  List of all schema names in the tables of the database.
  `List<Table>`
  `tableList`
  The list of tables for this database.
  `List<View>`
  `viewList`
  The list of views for this database.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Database()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### optionList

    public List<Option> optionList
    The list of options for this database.

  - ### includeSchemaList

    public List<IncludeSchema> includeSchemaList
    The list of included schemas for this database.

  - ### externalSchemaList

    public List<ExternalSchema> externalSchemaList
    The list of external schemas for this database.

  - ### domainList

    public List<Domain> domainList
    The List of domains for this database.

  - ### tableList

    public List<Table> tableList
    The list of tables for this database. This may include the tables from included schemas, depending on whether included schemas were already resolved, but never includes the tables from external schemas.

  - ### viewList

    public List<View> viewList
    The list of views for this database. This may include the views from included schemas, depending on whether included schemas were already resolved, but never includes the views from external schemas.

  - ### name

    public String name
    The name of the database.

  - ### defaultJavaType

    public String defaultJavaType
    Whether the columns in this database will use primitive types if possible ("primitive") or will always use object types ("object").

  - ### defaultIdMethod

    public String defaultIdMethod
    The default id method for this database. One of "native", "idbroker" or "none".

  - ### rootDatabaseName

    public String rootDatabaseName
    The name of the root database. Either the name of of this database if this database was not included or referenced as external schema, or the name of the root inclusion or root external-schema database.

  - ### allTables

    public List<Table> allTables
    List of all tables, including the tables from loaded external-schema definitions.

  - ### allViews

    public List<View> allViews
    List of all views, including the views from loaded external-schema definitions.

  - ### schemaNameList

    public List<String> schemaNameList
    List of all schema names in the tables of the database.

- ## Constructor Details

  - ### Database

    public Database()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`